<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Wed Nov 28 22:34:04 CET 2012 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
NByteArrayEntity (HttpComponents Core 4.2.3 API)
</TITLE>

<META NAME="date" CONTENT="2012-11-28">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="NByteArrayEntity (HttpComponents Core 4.2.3 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/NByteArrayEntity.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/http/nio/entity/HttpAsyncContentProducer.html" title="interface in org.apache.http.nio.entity"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/http/nio/entity/NFileEntity.html" title="class in org.apache.http.nio.entity"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/nio/entity/NByteArrayEntity.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="NByteArrayEntity.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.apache.http.nio.entity</FONT>
<BR>
Class NByteArrayEntity</H2>
<PRE>
<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../../org/apache/http/entity/AbstractHttpEntity.html" title="class in org.apache.http.entity">org.apache.http.entity.AbstractHttpEntity</A>
      <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><B>org.apache.http.nio.entity.NByteArrayEntity</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/Closeable.html?is-external=true" title="class or interface in java.io">Closeable</A>, <A HREF="../../../../../org/apache/http/HttpEntity.html" title="interface in org.apache.http">HttpEntity</A>, <A HREF="../../../../../org/apache/http/nio/entity/HttpAsyncContentProducer.html" title="interface in org.apache.http.nio.entity">HttpAsyncContentProducer</A>, <A HREF="../../../../../org/apache/http/nio/entity/ProducingNHttpEntity.html" title="interface in org.apache.http.nio.entity">ProducingNHttpEntity</A></DD>
</DL>
<HR>
<DL>
<DT><PRE><FONT SIZE="-1"><A HREF="../../../../../org/apache/http/annotation/NotThreadSafe.html" title="annotation in org.apache.http.annotation">@NotThreadSafe</A>
</FONT>public class <B>NByteArrayEntity</B><DT>extends <A HREF="../../../../../org/apache/http/entity/AbstractHttpEntity.html" title="class in org.apache.http.entity">AbstractHttpEntity</A><DT>implements <A HREF="../../../../../org/apache/http/nio/entity/HttpAsyncContentProducer.html" title="interface in org.apache.http.nio.entity">HttpAsyncContentProducer</A>, <A HREF="../../../../../org/apache/http/nio/entity/ProducingNHttpEntity.html" title="interface in org.apache.http.nio.entity">ProducingNHttpEntity</A></DL>
</PRE>

<P>
A simple self contained, repeatable non-blocking entity that retrieves
 its content from a byte array.
<P>

<P>
<DL>
<DT><B>Since:</B></DT>
  <DD>4.0</DD>
</DL>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/nio/ByteBuffer.html?is-external=true" title="class or interface in java.nio">ByteBuffer</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/nio/entity/NByteArrayEntity.html#buffer">buffer</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>(4.2)</I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;byte[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/nio/entity/NByteArrayEntity.html#content">content</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>(4.2)</I></TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_org.apache.http.entity.AbstractHttpEntity"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from class org.apache.http.entity.<A HREF="../../../../../org/apache/http/entity/AbstractHttpEntity.html" title="class in org.apache.http.entity">AbstractHttpEntity</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../org/apache/http/entity/AbstractHttpEntity.html#chunked">chunked</A>, <A HREF="../../../../../org/apache/http/entity/AbstractHttpEntity.html#contentEncoding">contentEncoding</A>, <A HREF="../../../../../org/apache/http/entity/AbstractHttpEntity.html#contentType">contentType</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/nio/entity/NByteArrayEntity.html#NByteArrayEntity(byte[])">NByteArrayEntity</A></B>(byte[]&nbsp;b)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/nio/entity/NByteArrayEntity.html#NByteArrayEntity(byte[], org.apache.http.entity.ContentType)">NByteArrayEntity</A></B>(byte[]&nbsp;b,
                 <A HREF="../../../../../org/apache/http/entity/ContentType.html" title="class in org.apache.http.entity">ContentType</A>&nbsp;contentType)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/nio/entity/NByteArrayEntity.html#NByteArrayEntity(byte[], int, int)">NByteArrayEntity</A></B>(byte[]&nbsp;b,
                 int&nbsp;off,
                 int&nbsp;len)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/nio/entity/NByteArrayEntity.html#NByteArrayEntity(byte[], int, int, org.apache.http.entity.ContentType)">NByteArrayEntity</A></B>(byte[]&nbsp;b,
                 int&nbsp;off,
                 int&nbsp;len,
                 <A HREF="../../../../../org/apache/http/entity/ContentType.html" title="class in org.apache.http.entity">ContentType</A>&nbsp;contentType)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/nio/entity/NByteArrayEntity.html#close()">close</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/nio/entity/NByteArrayEntity.html#finish()">finish</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>(4.2) use <A HREF="../../../../../org/apache/http/nio/entity/NByteArrayEntity.html#close()"><CODE>close()</CODE></A></I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/nio/entity/NByteArrayEntity.html#getContent()">getContent</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a content stream of the entity.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;long</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/nio/entity/NByteArrayEntity.html#getContentLength()">getContentLength</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Tells the length of the content, if known.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/nio/entity/NByteArrayEntity.html#isRepeatable()">isRepeatable</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Determines whether or not this producer is capable of producing
 its content more than once.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/nio/entity/NByteArrayEntity.html#isStreaming()">isStreaming</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Tells whether this entity depends on an underlying stream.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/nio/entity/NByteArrayEntity.html#produceContent(org.apache.http.nio.ContentEncoder, org.apache.http.nio.IOControl)">produceContent</A></B>(<A HREF="../../../../../org/apache/http/nio/ContentEncoder.html" title="interface in org.apache.http.nio">ContentEncoder</A>&nbsp;encoder,
               <A HREF="../../../../../org/apache/http/nio/IOControl.html" title="interface in org.apache.http.nio">IOControl</A>&nbsp;ioctrl)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Invoked to write out a chunk of content to the <A HREF="../../../../../org/apache/http/nio/ContentEncoder.html" title="interface in org.apache.http.nio"><CODE>ContentEncoder</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/nio/entity/NByteArrayEntity.html#writeTo(java.io.OutputStream)">writeTo</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</A>&nbsp;outstream)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Writes the entity content out to the output stream.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.apache.http.entity.AbstractHttpEntity"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class org.apache.http.entity.<A HREF="../../../../../org/apache/http/entity/AbstractHttpEntity.html" title="class in org.apache.http.entity">AbstractHttpEntity</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../org/apache/http/entity/AbstractHttpEntity.html#consumeContent()">consumeContent</A>, <A HREF="../../../../../org/apache/http/entity/AbstractHttpEntity.html#getContentEncoding()">getContentEncoding</A>, <A HREF="../../../../../org/apache/http/entity/AbstractHttpEntity.html#getContentType()">getContentType</A>, <A HREF="../../../../../org/apache/http/entity/AbstractHttpEntity.html#isChunked()">isChunked</A>, <A HREF="../../../../../org/apache/http/entity/AbstractHttpEntity.html#setChunked(boolean)">setChunked</A>, <A HREF="../../../../../org/apache/http/entity/AbstractHttpEntity.html#setContentEncoding(org.apache.http.Header)">setContentEncoding</A>, <A HREF="../../../../../org/apache/http/entity/AbstractHttpEntity.html#setContentEncoding(java.lang.String)">setContentEncoding</A>, <A HREF="../../../../../org/apache/http/entity/AbstractHttpEntity.html#setContentType(org.apache.http.Header)">setContentType</A>, <A HREF="../../../../../org/apache/http/entity/AbstractHttpEntity.html#setContentType(java.lang.String)">setContentType</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.apache.http.HttpEntity"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface org.apache.http.<A HREF="../../../../../org/apache/http/HttpEntity.html" title="interface in org.apache.http">HttpEntity</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../org/apache/http/HttpEntity.html#consumeContent()">consumeContent</A>, <A HREF="../../../../../org/apache/http/HttpEntity.html#getContentEncoding()">getContentEncoding</A>, <A HREF="../../../../../org/apache/http/HttpEntity.html#getContentType()">getContentType</A>, <A HREF="../../../../../org/apache/http/HttpEntity.html#isChunked()">isChunked</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Field Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="content"><!-- --></A><H3>
content</H3>
<PRE>
<FONT SIZE="-1"><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</A>
</FONT>protected final byte[] <B>content</B></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>(4.2)</I><DL>
</DL>
</DL>
<HR>

<A NAME="buffer"><!-- --></A><H3>
buffer</H3>
<PRE>
<FONT SIZE="-1"><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</A>
</FONT>protected final <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/nio/ByteBuffer.html?is-external=true" title="class or interface in java.nio">ByteBuffer</A> <B>buffer</B></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>(4.2)</I><DL>
</DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="NByteArrayEntity(byte[], org.apache.http.entity.ContentType)"><!-- --></A><H3>
NByteArrayEntity</H3>
<PRE>
public <B>NByteArrayEntity</B>(byte[]&nbsp;b,
                        <A HREF="../../../../../org/apache/http/entity/ContentType.html" title="class in org.apache.http.entity">ContentType</A>&nbsp;contentType)</PRE>
<DL>
<DL>
<DT><B>Since:</B></DT>
  <DD>4.2</DD>
</DL>
</DL>
<HR>

<A NAME="NByteArrayEntity(byte[], int, int, org.apache.http.entity.ContentType)"><!-- --></A><H3>
NByteArrayEntity</H3>
<PRE>
public <B>NByteArrayEntity</B>(byte[]&nbsp;b,
                        int&nbsp;off,
                        int&nbsp;len,
                        <A HREF="../../../../../org/apache/http/entity/ContentType.html" title="class in org.apache.http.entity">ContentType</A>&nbsp;contentType)</PRE>
<DL>
<DL>
<DT><B>Since:</B></DT>
  <DD>4.2</DD>
</DL>
</DL>
<HR>

<A NAME="NByteArrayEntity(byte[])"><!-- --></A><H3>
NByteArrayEntity</H3>
<PRE>
public <B>NByteArrayEntity</B>(byte[]&nbsp;b)</PRE>
<DL>
</DL>
<HR>

<A NAME="NByteArrayEntity(byte[], int, int)"><!-- --></A><H3>
NByteArrayEntity</H3>
<PRE>
public <B>NByteArrayEntity</B>(byte[]&nbsp;b,
                        int&nbsp;off,
                        int&nbsp;len)</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="close()"><!-- --></A><H3>
close</H3>
<PRE>
public void <B>close</B>()</PRE>
<DL>
<DD>
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/Closeable.html?is-external=true#close()" title="class or interface in java.io">close</A></CODE> in interface <CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/Closeable.html?is-external=true" title="class or interface in java.io">Closeable</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Since:</B></DT>
  <DD>4.2</DD>
</DL>
</DD>
</DL>
<HR>

<A NAME="finish()"><!-- --></A><H3>
finish</H3>
<PRE>
public void <B>finish</B>()</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>(4.2) use <A HREF="../../../../../org/apache/http/nio/entity/NByteArrayEntity.html#close()"><CODE>close()</CODE></A></I>
<P>
<DD>Notification that any resources allocated for writing can be released.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/nio/entity/ProducingNHttpEntity.html#finish()">finish</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/nio/entity/ProducingNHttpEntity.html" title="interface in org.apache.http.nio.entity">ProducingNHttpEntity</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="produceContent(org.apache.http.nio.ContentEncoder, org.apache.http.nio.IOControl)"><!-- --></A><H3>
produceContent</H3>
<PRE>
public void <B>produceContent</B>(<A HREF="../../../../../org/apache/http/nio/ContentEncoder.html" title="interface in org.apache.http.nio">ContentEncoder</A>&nbsp;encoder,
                           <A HREF="../../../../../org/apache/http/nio/IOControl.html" title="interface in org.apache.http.nio">IOControl</A>&nbsp;ioctrl)
                    throws <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/nio/entity/HttpAsyncContentProducer.html#produceContent(org.apache.http.nio.ContentEncoder, org.apache.http.nio.IOControl)">HttpAsyncContentProducer</A></CODE></B></DD>
<DD>Invoked to write out a chunk of content to the <A HREF="../../../../../org/apache/http/nio/ContentEncoder.html" title="interface in org.apache.http.nio"><CODE>ContentEncoder</CODE></A>.
 The <A HREF="../../../../../org/apache/http/nio/IOControl.html" title="interface in org.apache.http.nio"><CODE>IOControl</CODE></A> interface can be used to suspend output event
 notifications if the entity is temporarily unable to produce more content.
 <p/>
 When all content is finished, the producer <b>MUST</b> call
 <A HREF="../../../../../org/apache/http/nio/ContentEncoder.html#complete()"><CODE>ContentEncoder.complete()</CODE></A>. Failure to do so may cause the entity
 to be incorrectly delimited.
 <p/>
 Please note that the <A HREF="../../../../../org/apache/http/nio/ContentEncoder.html" title="interface in org.apache.http.nio"><CODE>ContentEncoder</CODE></A> object is not thread-safe and
 should only be used within the context of this method call.
 The <A HREF="../../../../../org/apache/http/nio/IOControl.html" title="interface in org.apache.http.nio"><CODE>IOControl</CODE></A> object can be shared and used on other thread
 to resume output event notifications when more content is made available.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/nio/entity/HttpAsyncContentProducer.html#produceContent(org.apache.http.nio.ContentEncoder, org.apache.http.nio.IOControl)">produceContent</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/nio/entity/HttpAsyncContentProducer.html" title="interface in org.apache.http.nio.entity">HttpAsyncContentProducer</A></CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/nio/entity/ProducingNHttpEntity.html#produceContent(org.apache.http.nio.ContentEncoder, org.apache.http.nio.IOControl)">produceContent</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/nio/entity/ProducingNHttpEntity.html" title="interface in org.apache.http.nio.entity">ProducingNHttpEntity</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>encoder</CODE> - content encoder.<DD><CODE>ioctrl</CODE> - I/O control of the underlying connection.
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="getContentLength()"><!-- --></A><H3>
getContentLength</H3>
<PRE>
public long <B>getContentLength</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/HttpEntity.html#getContentLength()">HttpEntity</A></CODE></B></DD>
<DD>Tells the length of the content, if known.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/HttpEntity.html#getContentLength()">getContentLength</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/HttpEntity.html" title="interface in org.apache.http">HttpEntity</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the number of bytes of the content, or
          a negative number if unknown. If the content length is known
          but exceeds <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Long.html?is-external=true#MAX_VALUE" title="class or interface in java.lang"><CODE>Long.MAX_VALUE</CODE></A>,
          a negative number is returned.</DL>
</DD>
</DL>
<HR>

<A NAME="isRepeatable()"><!-- --></A><H3>
isRepeatable</H3>
<PRE>
public boolean <B>isRepeatable</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/nio/entity/HttpAsyncContentProducer.html#isRepeatable()">HttpAsyncContentProducer</A></CODE></B></DD>
<DD>Determines whether or not this producer is capable of producing
 its content more than once. Repeatable content producers are expected
 to be able to recreate their content even after having been closed.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/HttpEntity.html#isRepeatable()">isRepeatable</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/HttpEntity.html" title="interface in org.apache.http">HttpEntity</A></CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/nio/entity/HttpAsyncContentProducer.html#isRepeatable()">isRepeatable</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/nio/entity/HttpAsyncContentProducer.html" title="interface in org.apache.http.nio.entity">HttpAsyncContentProducer</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>true if the entity is repeatable, false otherwise.</DL>
</DD>
</DL>
<HR>

<A NAME="isStreaming()"><!-- --></A><H3>
isStreaming</H3>
<PRE>
public boolean <B>isStreaming</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/HttpEntity.html#isStreaming()">HttpEntity</A></CODE></B></DD>
<DD>Tells whether this entity depends on an underlying stream.
 Streamed entities that read data directly from the socket should
 return <code>true</code>. Self-contained entities should return
 <code>false</code>. Wrapping entities should delegate this call
 to the wrapped entity.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/HttpEntity.html#isStreaming()">isStreaming</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/HttpEntity.html" title="interface in org.apache.http">HttpEntity</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD><code>true</code> if the entity content is streamed,
          <code>false</code> otherwise</DL>
</DD>
</DL>
<HR>

<A NAME="getContent()"><!-- --></A><H3>
getContent</H3>
<PRE>
public <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</A> <B>getContent</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/HttpEntity.html#getContent()">HttpEntity</A></CODE></B></DD>
<DD>Returns a content stream of the entity.
 <A HREF="../../../../../org/apache/http/HttpEntity.html#isRepeatable()"><CODE>Repeatable</CODE></A> entities are expected
 to create a new instance of <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io"><CODE>InputStream</CODE></A> for each invocation
 of this method and therefore can be consumed multiple times.
 Entities that are not <A HREF="../../../../../org/apache/http/HttpEntity.html#isRepeatable()"><CODE>repeatable</CODE></A> are expected
 to return the same <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io"><CODE>InputStream</CODE></A> instance and therefore
 may not be consumed more than once.
 <p>
 IMPORTANT: Please note all entity implementations must ensure that
 all allocated resources are properly deallocated after
 the <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/InputStream.html?is-external=true#close()" title="class or interface in java.io"><CODE>InputStream.close()</CODE></A> method is invoked.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/HttpEntity.html#getContent()">getContent</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/HttpEntity.html" title="interface in org.apache.http">HttpEntity</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>content stream of the entity.<DT><B>See Also:</B><DD><A HREF="../../../../../org/apache/http/HttpEntity.html#isRepeatable()"><CODE>HttpEntity.isRepeatable()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="writeTo(java.io.OutputStream)"><!-- --></A><H3>
writeTo</H3>
<PRE>
public void <B>writeTo</B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</A>&nbsp;outstream)
             throws <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/HttpEntity.html#writeTo(java.io.OutputStream)">HttpEntity</A></CODE></B></DD>
<DD>Writes the entity content out to the output stream.
 <p>
 <p>
 IMPORTANT: Please note all entity implementations must ensure that
 all allocated resources are properly deallocated when this method
 returns.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/HttpEntity.html#writeTo(java.io.OutputStream)">writeTo</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/HttpEntity.html" title="interface in org.apache.http">HttpEntity</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>outstream</CODE> - the output stream to write entity content to
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A></CODE> - if an I/O error occurs</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/NByteArrayEntity.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/http/nio/entity/HttpAsyncContentProducer.html" title="interface in org.apache.http.nio.entity"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/http/nio/entity/NFileEntity.html" title="class in org.apache.http.nio.entity"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/nio/entity/NByteArrayEntity.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="NByteArrayEntity.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 2005-2012 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
